For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETFetch supported local jurisdictions
LogoLogo
Contact SalesGet Support
Middesk APIEntity ManagementJurisdictions

Fetch supported local jurisdictions

GET
https://api.middesk.com/v1/agent/jurisdictions
GET
/v1/agent/jurisdictions
$curl -G https://api.middesk.com/v1/agent/jurisdictions \
> -H "Authorization: Bearer <token>" \
> -d state=state
200Colorado jurisdictions
1{
2 "object": "list",
3 "data": [
4 {
5 "object": "agent_jurisdiction",
6 "slug": "aurora_city_tax",
7 "name": "Aurora City Tax",
8 "state": "CO",
9 "type": "City Tax",
10 "label": "Aurora",
11 "agency_name": "Aurora Tax & Licensing Portal",
12 "agency_slug": "co_aurora",
13 "agency_items": [
14 "Aurora Account Number"
15 ],
16 "city": "Aurora"
17 },
18 {
19 "object": "agent_jurisdiction",
20 "slug": "denver_city_tax",
21 "name": "Denver City Tax",
22 "state": "CO",
23 "type": "City Tax",
24 "label": "Denver",
25 "agency_name": "Denver eBiz Tax Center",
26 "agency_slug": "co_denver",
27 "agency_items": [
28 "Denver Account Number"
29 ],
30 "city": "Denver"
31 }
32 ],
33 "search_config": {
34 "hint": "hint",
35 "help_text": "help_text",
36 "help_url": "help_url"
37 }
38}
Was this page helpful?
Previous

List mail items

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

statestringRequired

US state abbreviation (e.g., CO, CA, NY)

Response

jurisdictions list
objectstring
datalist of objects
search_configobject or null